libosmo-sigtran 2.1.0.194-89e3 Osmocom SIGTRAN library

Data Fields
osmo_ss7_route_table Struct Reference

`#include <ss7_route_table.h>`

## Data Fields
struct llist_head | list
| member in list of routing tables More...
struct osmo_ss7_instance * | inst
| osmo_ss7_instance to which we belong More...
struct llist_head | combined_linksets
| list of osmo_ss7_combined_linksets More...
struct {
char * name
char * description
} | cfg

## Field Documentation

## ◆

struct { ... } osmo_ss7_route_table::cfg

Referenced by DEFUN_ATTR(), ss7_route_table_alloc(), ss7_route_table_find(), vty_dump_rtable(), and write_one_rtable().

## ◆ combined_linksets

struct llist_head osmo_ss7_route_table::combined_linksets

list of osmo_ss7_combined_linksets

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), DEFUN(), ss7_combined_linkset_insert(), ss7_route_table_alloc(), ss7_route_table_del_routes_by_as(), ss7_route_table_del_routes_by_linkset(), ss7_route_table_dpc_is_accessible(), ss7_route_table_dpc_is_accessible_skip_as(), ss7_route_table_dpc_is_accessible_via_as(), ss7_route_table_find_combined_linkset(), ss7_route_table_find_combined_linkset_by_dpc(), ss7_route_table_find_combined_linkset_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_lookup_route(), ss7_route_table_update_route_status_by_as(), vty_dump_rtable(), and write_one_rtable().

## ◆ description

char* osmo_ss7_route_table::description

Referenced by DEFUN_ATTR(), and write_one_rtable().

## ◆ inst

struct osmo_ss7_instance* osmo_ss7_route_table::inst

osmo_ss7_instance to which we belong

Referenced by as_tx_duna_during_asp_act(), DEFUN(), DEFUN_ATTR(), osmo_ss7_route_name(), osmo_ss7_route_print(), osmo_ss7_vty_go_parent(), ss7_combined_linkset_alloc(), ss7_combined_linkset_lookup_route(), ss7_route_alloc(), ss7_route_is_fully_qualified(), ss7_route_set_linkset(), ss7_route_table_alloc(), ss7_route_table_find(), ss7_route_table_find_combined_linkset_by_dpc(), ss7_route_table_find_combined_linkset_by_dpc_mask(), ss7_route_table_find_or_create(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_lookup_route(), and write_one_rtable().

## ◆ list

struct llist_head osmo_ss7_route_table::list

member in list of routing tables

Referenced by ss7_route_table_alloc(), ss7_route_table_destroy(), and ss7_route_table_find().

## ◆ name

char* osmo_ss7_route_table::name

Referenced by ss7_route_table_alloc(), ss7_route_table_find(), ss7_route_table_find_or_create(), vty_dump_rtable(), and write_one_rtable().

The documentation for this struct was generated from the following file:

- src/ss7_route_table.h